## Installation Guides

The INJECT Exercise Platform consists of two main parts: the frontend and the backend. Below, we'll walk you through the installation process for each part.

For a deeper understanding of the overall architecture of the INJECT Exercise Platform, you can refer to the [architecture overview](../architecture/overview.md) in the documentation.

### Frontend Installation Guide

The frontend of the INJECT Exercise Platform is responsible for providing a user-friendly interface for interacting with exercises and educational content. To get started with the frontend installation and configuration, refer to the [Frontend Installation Guide](front-README.md). This guide will walk you through the necessary steps to set up the frontend environment, install dependencies, and deploy the frontend application.

### Backend Installation Guide

The backend of the INJECT Exercise Platform handles data management, authentication, and running the INJECT Exercise Platform. To begin setting up the backend environment and running the backend server, follow the instructions outlined in the [Backend Installation Guide](back-README.md). This guide provides detailed steps for installing dependencies, configuring the backend, and deploying the backend server.

By following the installation guides for both the frontend and backend components, you'll be able to successfully set up and run the INJECT Exercise Platform. If you encounter any issues or need further assistance, please check out our [FAQ](../../faq.md). Additionally, if you encounter any bugs or require further assistance, don't hesitate to report them to us. The [FAQ](../../faq.md) includes instructions on how to report bugs.
